modelName <- "adasCog2HandsOn" # root names of model file

if(.Platform$OS.type == "windows") Sys.setenv(HOME = substr(R.home(), 1, 2))
courseDir <- file.path(Sys.getenv("HOME"), "MI260")
##courseDir <- file.path(Sys.getenv("HOME"), "project/MI260Summer2011")
exampleDir <- file.path(courseDir, modelName)
toolsDir <- file.path(courseDir, "bugsTools") # change to match your setup

setwd(exampleDir)
library(lattice)
library(gdata)
source(file.path(toolsDir, "bugs.tools.R"))
source(file.path(toolsDir, "bgillespie.utilities.R"))

## Get data file
adasDataInd <- read.csv(file.path(exampleDir, "metupezil.csv"), as.is = TRUE)

## open graphics device
pdf(file = file.path(exampleDir, paste(modelName,"EDAPlots%03d.pdf", sep = "")),
	width = 6, height = 6, onefile = F)

################################################################################################

adasDataInd$treatment <- reorder.factor(as.factor(paste(adasDataInd$DRGN, adasDataInd$DTOT, "mg")))

treatments <- sort(unique(adasDataInd$treatment))
for(treatment in as.character(treatments)){
  print(xyplot(ADAS ~ WEEK | as.factor(ID),
               adasDataInd[adasDataInd$treatment == treatment,],
               type = "b", lty = 1, col = "blue",
               lwd = 2, cex = 0.5, scales = list(cex = 1),
               xlab = list(label = "time (w)", cex = 1.2),
               ylab = list(label = "ADAS-cog change from baseline", cex=1.2),
               par.strip.text = list(cex = 1),
               strip = function(...) strip.default(..., style = 1),
               main = list(label = treatment, cex = 1.5)))
}

dev.off()

