modelName <- "adasExample" # root names of model file

if(.Platform$OS.type == "windows") Sys.setenv(HOME = substr(R.home(), 1, 2))
##courseDir <- file.path(Sys.getenv("HOME"), "MIBayesCourse")
courseDir <- file.path(Sys.getenv("HOME"), "project/MI260")
exampleDir <- file.path(courseDir, modelName)
toolsDir <- courseDir # change to match your setup

setwd(exampleDir)
library(lattice)
library(gdata)
source(file.path(toolsDir, "bugs.tools.R"))
source(file.path(toolsDir, "bgillespie.utilities.R"))
extend.limits <- lattice:::extend.limits

## Get data file
adasData <- read.csv(file.path(exampleDir, "adasCogData.csv"), as.is = TRUE)

drug <- "donepezil"
studies <- unique(adasData$study)
drug.in.study <- sapply(studies,
                        function(study, drug, adasData) {
                          drug %in% unique(adasData$DRGN[adasData$study == study])
                        },
                        drug = drug, adasData = adasData)
studies <- studies[drug.in.study]
adasData <- subset(adasData, (study %in% studies) & (DRGN %in% c(drug, "placebo")))

write.csv(adasData, "donepezilAdasData.csv", row.names = FALSE)
